Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ID3D12DeviceVtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions
| BEGIN_INTERFACE (ID3D12Device *This, REFIID riid, _COM_Outptr_ void **ppvObject)
ID3D12Device _In_ REFGUID _In_ UINT | _In_reads_bytes_opt_ (DataSize) const void *pData)
ID3D12Device D3D12_FEATURE | _Inout_updates_bytes_ (FeatureSupportDataSize) void *pFeatureSupportData
ID3D12Device _In_ UINT | _In_reads_ (blobLengthInBytes) const void *pBlobWithRootSignature
| void (STDMETHODCALLTYPE *CreateConstantBufferView)(ID3D12Device *This
| void (STDMETHODCALLTYPE *CreateShaderResourceView)(ID3D12Device *This
| void (STDMETHODCALLTYPE *CreateUnorderedAccessView)(ID3D12Device *This
| void (STDMETHODCALLTYPE *CreateRenderTargetView)(ID3D12Device *This
| void (STDMETHODCALLTYPE *CreateDepthStencilView)(ID3D12Device *This
| void (STDMETHODCALLTYPE *CreateSampler)(ID3D12Device *This
| void (STDMETHODCALLTYPE *CopyDescriptors)(ID3D12Device *This
_In_ UINT | _In_reads_ (NumDestDescriptorRanges) const D3D12_CPU_DESCRIPTOR_HANDLE *pDestDescriptorRangeStarts
_In_ UINT | _In_reads_opt_ (NumDestDescriptorRanges) const UINT *pDestDescriptorRangeSizes
_In_ UINT _In_ UINT | _In_reads_ (NumSrcDescriptorRanges) const D3D12_CPU_DESCRIPTOR_HANDLE *pSrcDescriptorRangeStarts
_In_ UINT _In_ UINT | _In_reads_opt_ (NumSrcDescriptorRanges) const UINT *pSrcDescriptorRangeSizes
| void (STDMETHODCALLTYPE *CopyDescriptorsSimple)(ID3D12Device *This
ID3D12Device _In_ UINT _In_ UINT | _In_reads_ (numResourceDescs) const D3D12_RESOURCE_DESC *pResourceDescs)
ID3D12Device UINT | _In_reads_ (NumObjects) ID3D12Pageable *const *ppObjects)
ID3D12Device UINT | _In_reads_ (NumObjects) ID3D12Pageable *const *ppObjects)
| void (STDMETHODCALLTYPE *GetCopyableFootprints)(ID3D12Device *This
_In_ const D3D12_RESOURCE_DESC | _In_range_ (0, D3D12_REQ_SUBRESOURCES) UINT FirstSubresource
_In_ const D3D12_RESOURCE_DESC | _In_range_ (0, D3D12_REQ_SUBRESOURCES - FirstSubresource) UINT NumSubresources
_In_ const D3D12_RESOURCE_DESC UINT64 | _Out_writes_opt_ (NumSubresources) D3D12_PLACED_SUBRESOURCE_FOOTPRINT *pLayouts
_In_ const D3D12_RESOURCE_DESC UINT64 | _Out_writes_opt_ (NumSubresources) UINT *pNumRows
_In_ const D3D12_RESOURCE_DESC UINT64 | _Out_writes_opt_ (NumSubresources) UINT64 *pRowSizeInBytes
| void (STDMETHODCALLTYPE *GetResourceTiling)(ID3D12Device *This

## Public Attributes
ID3D12Device * | This
ID3D12Device _In_ REFGUID | guid
ID3D12Device _In_ REFGUID _Inout_ UINT * | pDataSize
ID3D12Device _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void * | pData
ID3D12Device _In_ REFGUID _In_ UINT | DataSize
ID3D12Device _In_ REFGUID _In_opt_ const IUnknown * | pData
ID3D12Device _In_z_ LPCWSTR | Name
ID3D12Device _In_ const D3D12_COMMAND_QUEUE_DESC * | pDesc
ID3D12Device _In_ const D3D12_COMMAND_QUEUE_DESC REFIID | riid
ID3D12Device _In_ const D3D12_COMMAND_QUEUE_DESC REFIID _COM_Outptr_ void ** | ppCommandQueue
ID3D12Device _In_ D3D12_COMMAND_LIST_TYPE | type
ID3D12Device _In_ D3D12_COMMAND_LIST_TYPE REFIID | riid
ID3D12Device _In_ D3D12_COMMAND_LIST_TYPE REFIID _COM_Outptr_ void ** | ppCommandAllocator
ID3D12Device _In_ const D3D12_GRAPHICS_PIPELINE_STATE_DESC * | pDesc
ID3D12Device _In_ const D3D12_GRAPHICS_PIPELINE_STATE_DESC REFIID | riid
ID3D12Device _In_ const D3D12_GRAPHICS_PIPELINE_STATE_DESC REFIID _COM_Outptr_ void ** | ppPipelineState
ID3D12Device _In_ const D3D12_COMPUTE_PIPELINE_STATE_DESC * | pDesc
ID3D12Device _In_ const D3D12_COMPUTE_PIPELINE_STATE_DESC REFIID | riid
ID3D12Device _In_ const D3D12_COMPUTE_PIPELINE_STATE_DESC REFIID _COM_Outptr_ void ** | ppPipelineState
ID3D12Device _In_ UINT | nodeMask
ID3D12Device _In_ UINT _In_ D3D12_COMMAND_LIST_TYPE | type
ID3D12Device _In_ UINT _In_ D3D12_COMMAND_LIST_TYPE _In_ ID3D12CommandAllocator * | pCommandAllocator
ID3D12Device _In_ UINT _In_ D3D12_COMMAND_LIST_TYPE _In_ ID3D12CommandAllocator _In_opt_ ID3D12PipelineState * | pInitialState
ID3D12Device _In_ UINT _In_ D3D12_COMMAND_LIST_TYPE _In_ ID3D12CommandAllocator _In_opt_ ID3D12PipelineState REFIID | riid
ID3D12Device _In_ UINT _In_ D3D12_COMMAND_LIST_TYPE _In_ ID3D12CommandAllocator _In_opt_ ID3D12PipelineState REFIID _COM_Outptr_ void ** | ppCommandList
ID3D12Device D3D12_FEATURE | Feature
ID3D12Device D3D12_FEATURE UINT | FeatureSupportDataSize
ID3D12Device _In_ const D3D12_DESCRIPTOR_HEAP_DESC * | pDescriptorHeapDesc
ID3D12Device _In_ const D3D12_DESCRIPTOR_HEAP_DESC REFIID | riid
ID3D12Device _In_ const D3D12_DESCRIPTOR_HEAP_DESC REFIID _COM_Outptr_ void ** | ppvHeap
ID3D12Device _In_ D3D12_DESCRIPTOR_HEAP_TYPE | DescriptorHeapType
ID3D12Device _In_ UINT _In_ SIZE_T | blobLengthInBytes
ID3D12Device _In_ UINT _In_ SIZE_T REFIID | riid
ID3D12Device _In_ UINT _In_ SIZE_T REFIID _COM_Outptr_ void ** | ppvRootSignature
_In_opt_ const D3D12_CONSTANT_BUFFER_VIEW_DESC * | pDesc
_In_opt_ const D3D12_CONSTANT_BUFFER_VIEW_DESC _In_ D3D12_CPU_DESCRIPTOR_HANDLE | DestDescriptor
_In_opt_ ID3D12Resource * | pResource
_In_opt_ ID3D12Resource _In_opt_ const D3D12_SHADER_RESOURCE_VIEW_DESC * | pDesc
_In_opt_ ID3D12Resource _In_opt_ const D3D12_SHADER_RESOURCE_VIEW_DESC _In_ D3D12_CPU_DESCRIPTOR_HANDLE | DestDescriptor
_In_opt_ ID3D12Resource _In_opt_ ID3D12Resource * | pCounterResource
_In_opt_ ID3D12Resource _In_opt_ ID3D12Resource _In_opt_ const D3D12_UNORDERED_ACCESS_VIEW_DESC * | pDesc
_In_opt_ ID3D12Resource _In_opt_ ID3D12Resource _In_opt_ const D3D12_UNORDERED_ACCESS_VIEW_DESC _In_ D3D12_CPU_DESCRIPTOR_HANDLE | DestDescriptor
_In_opt_ ID3D12Resource _In_opt_ const D3D12_RENDER_TARGET_VIEW_DESC * | pDesc
_In_opt_ ID3D12Resource _In_opt_ const D3D12_RENDER_TARGET_VIEW_DESC _In_ D3D12_CPU_DESCRIPTOR_HANDLE | DestDescriptor
_In_opt_ ID3D12Resource _In_opt_ const D3D12_DEPTH_STENCIL_VIEW_DESC * | pDesc
_In_opt_ ID3D12Resource _In_opt_ const D3D12_DEPTH_STENCIL_VIEW_DESC _In_ D3D12_CPU_DESCRIPTOR_HANDLE | DestDescriptor
_In_ const D3D12_SAMPLER_DESC * | pDesc
_In_ const D3D12_SAMPLER_DESC _In_ D3D12_CPU_DESCRIPTOR_HANDLE | DestDescriptor
_In_ UINT | NumDestDescriptorRanges
_In_ UINT _In_ UINT | NumSrcDescriptorRanges
_In_ UINT _In_ UINT _In_ D3D12_DESCRIPTOR_HEAP_TYPE | DescriptorHeapsType
_In_ UINT | NumDescriptors
_In_ UINT _In_ D3D12_CPU_DESCRIPTOR_HANDLE | DestDescriptorRangeStart
_In_ UINT _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE | SrcDescriptorRangeStart
_In_ UINT _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_DESCRIPTOR_HEAP_TYPE | DescriptorHeapsType
ID3D12Device _In_ UINT | visibleMask
ID3D12Device _In_ UINT _In_ UINT | numResourceDescs
ID3D12Device _In_ UINT D3D12_HEAP_TYPE | heapType
ID3D12Device _In_ const D3D12_HEAP_PROPERTIES * | pHeapProperties
ID3D12Device _In_ const D3D12_HEAP_PROPERTIES D3D12_HEAP_FLAGS | HeapFlags
ID3D12Device _In_ const D3D12_HEAP_PROPERTIES D3D12_HEAP_FLAGS _In_ const D3D12_RESOURCE_DESC * | pDesc
ID3D12Device _In_ const D3D12_HEAP_PROPERTIES D3D12_HEAP_FLAGS _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES | InitialResourceState
ID3D12Device _In_ const D3D12_HEAP_PROPERTIES D3D12_HEAP_FLAGS _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE * | pOptimizedClearValue
ID3D12Device _In_ const D3D12_HEAP_PROPERTIES D3D12_HEAP_FLAGS _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE REFIID | riidResource
ID3D12Device _In_ const D3D12_HEAP_PROPERTIES D3D12_HEAP_FLAGS _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE REFIID _COM_Outptr_opt_ void ** | ppvResource
ID3D12Device _In_ const D3D12_HEAP_DESC * | pDesc
ID3D12Device _In_ const D3D12_HEAP_DESC REFIID | riid
ID3D12Device _In_ const D3D12_HEAP_DESC REFIID _COM_Outptr_opt_ void ** | ppvHeap
ID3D12Device _In_ ID3D12Heap * | pHeap
ID3D12Device _In_ ID3D12Heap UINT64 | HeapOffset
ID3D12Device _In_ ID3D12Heap UINT64 _In_ const D3D12_RESOURCE_DESC * | pDesc
ID3D12Device _In_ ID3D12Heap UINT64 _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES | InitialState
ID3D12Device _In_ ID3D12Heap UINT64 _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE * | pOptimizedClearValue
ID3D12Device _In_ ID3D12Heap UINT64 _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE REFIID | riid
ID3D12Device _In_ ID3D12Heap UINT64 _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE REFIID _COM_Outptr_opt_ void ** | ppvResource
ID3D12Device _In_ const D3D12_RESOURCE_DESC * | pDesc
ID3D12Device _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES | InitialState
ID3D12Device _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE * | pOptimizedClearValue
ID3D12Device _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE REFIID | riid
ID3D12Device _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE REFIID _COM_Outptr_opt_ void ** | ppvResource
ID3D12Device _In_ ID3D12DeviceChild * | pObject
ID3D12Device _In_ ID3D12DeviceChild _In_opt_ const SECURITY_ATTRIBUTES * | pAttributes
ID3D12Device _In_ ID3D12DeviceChild _In_opt_ const SECURITY_ATTRIBUTES DWORD | Access
ID3D12Device _In_ ID3D12DeviceChild _In_opt_ const SECURITY_ATTRIBUTES DWORD _In_opt_ LPCWSTR | Name
ID3D12Device _In_ ID3D12DeviceChild _In_opt_ const SECURITY_ATTRIBUTES DWORD _In_opt_ LPCWSTR _Out_ HANDLE * | pHandle
ID3D12Device _In_ HANDLE | NTHandle
ID3D12Device _In_ HANDLE REFIID | riid
ID3D12Device _In_ HANDLE REFIID _COM_Outptr_opt_ void ** | ppvObj
ID3D12Device _In_ LPCWSTR | Name
ID3D12Device _In_ LPCWSTR DWORD | Access
ID3D12Device _In_ LPCWSTR DWORD _Out_ HANDLE * | pNTHandle
ID3D12Device UINT | NumObjects
ID3D12Device UINT64 | InitialValue
ID3D12Device UINT64 D3D12_FENCE_FLAGS | Flags
ID3D12Device UINT64 D3D12_FENCE_FLAGS REFIID | riid
ID3D12Device UINT64 D3D12_FENCE_FLAGS REFIID _COM_Outptr_ void ** | ppFence
_In_ const D3D12_RESOURCE_DESC * | pResourceDesc
_In_ const D3D12_RESOURCE_DESC UINT64 | BaseOffset
_In_ const D3D12_RESOURCE_DESC UINT64 _Out_opt_ UINT64 * | pTotalBytes
ID3D12Device _In_ const D3D12_QUERY_HEAP_DESC * | pDesc
ID3D12Device _In_ const D3D12_QUERY_HEAP_DESC REFIID | riid
ID3D12Device _In_ const D3D12_QUERY_HEAP_DESC REFIID _COM_Outptr_opt_ void ** | ppvHeap
ID3D12Device BOOL | Enable
ID3D12Device _In_ const D3D12_COMMAND_SIGNATURE_DESC * | pDesc
ID3D12Device _In_ const D3D12_COMMAND_SIGNATURE_DESC _In_opt_ ID3D12RootSignature * | pRootSignature
ID3D12Device _In_ const D3D12_COMMAND_SIGNATURE_DESC _In_opt_ ID3D12RootSignature REFIID | riid
ID3D12Device _In_ const D3D12_COMMAND_SIGNATURE_DESC _In_opt_ ID3D12RootSignature REFIID _COM_Outptr_opt_ void ** | ppvCommandSignature
_In_ ID3D12Resource * | pTiledResource
_In_ ID3D12Resource _Out_opt_ UINT * | pNumTilesForEntireResource
_In_ ID3D12Resource _Out_opt_ UINT _Out_opt_ D3D12_PACKED_MIP_INFO * | pPackedMipDesc
_In_ ID3D12Resource _Out_opt_ UINT _Out_opt_ D3D12_PACKED_MIP_INFO _Out_opt_ D3D12_TILE_SHAPE * | pStandardTileShapeForNonPackedMips
_In_ ID3D12Resource _Out_opt_ UINT _Out_opt_ D3D12_PACKED_MIP_INFO _Out_opt_ D3D12_TILE_SHAPE _Inout_opt_ UINT * | pNumSubresourceTilings
_In_ ID3D12Resource _Out_opt_ UINT _Out_opt_ D3D12_PACKED_MIP_INFO _Out_opt_ D3D12_TILE_SHAPE _Inout_opt_ UINT _In_ UINT | FirstSubresourceTilingToGet
_In_ ID3D12Resource _Out_opt_ UINT _Out_opt_ D3D12_PACKED_MIP_INFO _Out_opt_ D3D12_TILE_SHAPE _Inout_opt_ UINT _In_ UINT _Out_writes_ pNumSubresourceTilings D3D12_SUBRESOURCE_TILING * | pSubresourceTilingsForNonPackedMips

## Detailed Description

Definition at line 4828 of file mini_d3d12.h.

## Member Function Documentation

## ◆ BEGIN_INTERFACE()

ID3D12DeviceVtbl::BEGIN_INTERFACE | ( | ID3D12Device * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject
| ) |  |

## ◆ _In_reads_bytes_opt_()

ID3D12Device _In_ REFGUID _In_ UINT ID3D12DeviceVtbl::_In_reads_bytes_opt_ | ( | DataSize |  | ) | const

## ◆ _Inout_updates_bytes_()

ID3D12Device D3D12_FEATURE ID3D12DeviceVtbl::_Inout_updates_bytes_ | ( | FeatureSupportDataSize |  | ) |

## ◆ _In_reads_() [1/6]

ID3D12Device _In_ UINT ID3D12DeviceVtbl::_In_reads_ | ( | blobLengthInBytes |  | ) | const

## ◆ void() [1/10]

ID3D12DeviceVtbl::void | ( | STDMETHODCALLTYPE * | CreateConstantBufferView | ) |

## ◆ void() [2/10]

ID3D12DeviceVtbl::void | ( | STDMETHODCALLTYPE * | CreateShaderResourceView | ) |

## ◆ void() [3/10]

ID3D12DeviceVtbl::void | ( | STDMETHODCALLTYPE * | CreateUnorderedAccessView | ) |

## ◆ void() [4/10]

ID3D12DeviceVtbl::void | ( | STDMETHODCALLTYPE * | CreateRenderTargetView | ) |

## ◆ void() [5/10]

ID3D12DeviceVtbl::void | ( | STDMETHODCALLTYPE * | CreateDepthStencilView | ) |

## ◆ void() [6/10]

ID3D12DeviceVtbl::void | ( | STDMETHODCALLTYPE * | CreateSampler | ) |

## ◆ void() [7/10]

ID3D12DeviceVtbl::void | ( | STDMETHODCALLTYPE * | CopyDescriptors | ) |

## ◆ _In_reads_() [2/6]

_In_ UINT ID3D12DeviceVtbl::_In_reads_ | ( | NumDestDescriptorRanges |  | ) | const

## ◆ _In_reads_opt_() [1/2]

_In_ UINT ID3D12DeviceVtbl::_In_reads_opt_ | ( | NumDestDescriptorRanges |  | ) | const

## ◆ _In_reads_() [3/6]

_In_ UINT _In_ UINT ID3D12DeviceVtbl::_In_reads_ | ( | NumSrcDescriptorRanges |  | ) | const

## ◆ _In_reads_opt_() [2/2]

_In_ UINT _In_ UINT ID3D12DeviceVtbl::_In_reads_opt_ | ( | NumSrcDescriptorRanges |  | ) | const

## ◆ void() [8/10]

ID3D12DeviceVtbl::void | ( | STDMETHODCALLTYPE * | CopyDescriptorsSimple | ) |

## ◆ _In_reads_() [4/6]

ID3D12Device _In_ UINT _In_ UINT ID3D12DeviceVtbl::_In_reads_ | ( | numResourceDescs |  | ) | const

## ◆ _In_reads_() [5/6]

ID3D12Device UINT ID3D12DeviceVtbl::_In_reads_ | ( | NumObjects |  | ) | const

## ◆ _In_reads_() [6/6]

ID3D12Device UINT ID3D12DeviceVtbl::_In_reads_ | ( | NumObjects |  | ) | const

## ◆ void() [9/10]

ID3D12DeviceVtbl::void | ( | STDMETHODCALLTYPE * | GetCopyableFootprints | ) |

## ◆ _In_range_() [1/2]

_In_ const D3D12_RESOURCE_DESC ID3D12DeviceVtbl::_In_range_ | ( | 0 | ,
|  | D3D12_REQ_SUBRESOURCES |
| ) |  |

## ◆ _In_range_() [2/2]

_In_ const D3D12_RESOURCE_DESC ID3D12DeviceVtbl::_In_range_ | ( | 0 | ,
|  | D3D12_REQ_SUBRESOURCES - | FirstSubresource
| ) |  |

## ◆ _Out_writes_opt_() [1/3]

_In_ const D3D12_RESOURCE_DESC UINT64 ID3D12DeviceVtbl::_Out_writes_opt_ | ( | NumSubresources |  | ) |

## ◆ _Out_writes_opt_() [2/3]

_In_ const D3D12_RESOURCE_DESC UINT64 ID3D12DeviceVtbl::_Out_writes_opt_ | ( | NumSubresources |  | ) |

## ◆ _Out_writes_opt_() [3/3]

_In_ const D3D12_RESOURCE_DESC UINT64 ID3D12DeviceVtbl::_Out_writes_opt_ | ( | NumSubresources |  | ) |

## ◆ void() [10/10]

ID3D12DeviceVtbl::void | ( | STDMETHODCALLTYPE * | GetResourceTiling | ) |

## Member Data Documentation

## ◆ This

ID3D12Device * ID3D12DeviceVtbl::This

Definition at line 4839 of file mini_d3d12.h.

## ◆ guid

ID3D12Device _In_ REFGUID ID3D12DeviceVtbl::guid

Definition at line 4848 of file mini_d3d12.h.

## ◆ pDataSize

ID3D12Device _In_ REFGUID _Inout_ UINT* ID3D12DeviceVtbl::pDataSize

Definition at line 4849 of file mini_d3d12.h.

## ◆ pData [1/2]

ID3D12Device _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void* ID3D12DeviceVtbl::pData

Definition at line 4850 of file mini_d3d12.h.

## ◆ DataSize

ID3D12Device _In_ REFGUID _In_ UINT ID3D12DeviceVtbl::DataSize

Definition at line 4856 of file mini_d3d12.h.

## ◆ pData [2/2]

ID3D12Device _In_ REFGUID _In_opt_ const IUnknown* ID3D12DeviceVtbl::pData

Definition at line 4863 of file mini_d3d12.h.

## ◆ Name [1/3]

ID3D12Device _In_z_ LPCWSTR ID3D12DeviceVtbl::Name

Definition at line 4868 of file mini_d3d12.h.

## ◆ pDesc [1/15]

ID3D12Device _In_ const D3D12_COMMAND_QUEUE_DESC* ID3D12DeviceVtbl::pDesc

Definition at line 4877 of file mini_d3d12.h.

## ◆ riid [1/14]

ID3D12Device _In_ const D3D12_COMMAND_QUEUE_DESC REFIID ID3D12DeviceVtbl::riid

Definition at line 4878 of file mini_d3d12.h.

## ◆ ppCommandQueue

ID3D12Device _In_ const D3D12_COMMAND_QUEUE_DESC REFIID _COM_Outptr_ void** ID3D12DeviceVtbl::ppCommandQueue

Definition at line 4879 of file mini_d3d12.h.

## ◆ type [1/2]

ID3D12Device _In_ D3D12_COMMAND_LIST_TYPE ID3D12DeviceVtbl::type

Definition at line 4884 of file mini_d3d12.h.

## ◆ riid [2/14]

ID3D12Device _In_ D3D12_COMMAND_LIST_TYPE REFIID ID3D12DeviceVtbl::riid

Definition at line 4885 of file mini_d3d12.h.

## ◆ ppCommandAllocator

ID3D12Device _In_ D3D12_COMMAND_LIST_TYPE REFIID _COM_Outptr_ void** ID3D12DeviceVtbl::ppCommandAllocator

Definition at line 4886 of file mini_d3d12.h.

## ◆ pDesc [2/15]

ID3D12Device _In_ const D3D12_GRAPHICS_PIPELINE_STATE_DESC* ID3D12DeviceVtbl::pDesc

Definition at line 4891 of file mini_d3d12.h.

## ◆ riid [3/14]

ID3D12Device _In_ const D3D12_GRAPHICS_PIPELINE_STATE_DESC REFIID ID3D12DeviceVtbl::riid

Definition at line 4892 of file mini_d3d12.h.

## ◆ ppPipelineState [1/2]

ID3D12Device _In_ const D3D12_GRAPHICS_PIPELINE_STATE_DESC REFIID _COM_Outptr_ void** ID3D12DeviceVtbl::ppPipelineState

Definition at line 4893 of file mini_d3d12.h.

## ◆ pDesc [3/15]

ID3D12Device _In_ const D3D12_COMPUTE_PIPELINE_STATE_DESC* ID3D12DeviceVtbl::pDesc

Definition at line 4898 of file mini_d3d12.h.

## ◆ riid [4/14]

ID3D12Device _In_ const D3D12_COMPUTE_PIPELINE_STATE_DESC REFIID ID3D12DeviceVtbl::riid

Definition at line 4899 of file mini_d3d12.h.

## ◆ ppPipelineState [2/2]

ID3D12Device _In_ const D3D12_COMPUTE_PIPELINE_STATE_DESC REFIID _COM_Outptr_ void** ID3D12DeviceVtbl::ppPipelineState

Definition at line 4900 of file mini_d3d12.h.

## ◆ nodeMask

ID3D12Device _In_ UINT ID3D12DeviceVtbl::nodeMask

Definition at line 4905 of file mini_d3d12.h.

## ◆ type [2/2]

ID3D12Device _In_ UINT _In_ D3D12_COMMAND_LIST_TYPE ID3D12DeviceVtbl::type

Definition at line 4906 of file mini_d3d12.h.

## ◆ pCommandAllocator

ID3D12Device _In_ UINT _In_ D3D12_COMMAND_LIST_TYPE _In_ ID3D12CommandAllocator* ID3D12DeviceVtbl::pCommandAllocator

Definition at line 4907 of file mini_d3d12.h.

## ◆ pInitialState

ID3D12Device _In_ UINT _In_ D3D12_COMMAND_LIST_TYPE _In_ ID3D12CommandAllocator _In_opt_ ID3D12PipelineState* ID3D12DeviceVtbl::pInitialState

Definition at line 4908 of file mini_d3d12.h.

## ◆ riid [5/14]

ID3D12Device _In_ UINT _In_ D3D12_COMMAND_LIST_TYPE _In_ ID3D12CommandAllocator _In_opt_ ID3D12PipelineState REFIID ID3D12DeviceVtbl::riid

Definition at line 4909 of file mini_d3d12.h.

## ◆ ppCommandList

ID3D12Device _In_ UINT _In_ D3D12_COMMAND_LIST_TYPE _In_ ID3D12CommandAllocator _In_opt_ ID3D12PipelineState REFIID _COM_Outptr_ void** ID3D12DeviceVtbl::ppCommandList

Definition at line 4910 of file mini_d3d12.h.

## ◆ Feature

ID3D12Device D3D12_FEATURE ID3D12DeviceVtbl::Feature

Definition at line 4915 of file mini_d3d12.h.

## ◆ FeatureSupportDataSize

ID3D12Device D3D12_FEATURE UINT ID3D12DeviceVtbl::FeatureSupportDataSize

Definition at line 4917 of file mini_d3d12.h.

## ◆ pDescriptorHeapDesc

ID3D12Device _In_ const D3D12_DESCRIPTOR_HEAP_DESC* ID3D12DeviceVtbl::pDescriptorHeapDesc

Definition at line 4922 of file mini_d3d12.h.

## ◆ riid [6/14]

ID3D12Device _In_ const D3D12_DESCRIPTOR_HEAP_DESC REFIID ID3D12DeviceVtbl::riid

Definition at line 4923 of file mini_d3d12.h.

## ◆ ppvHeap [1/3]

ID3D12Device _In_ const D3D12_DESCRIPTOR_HEAP_DESC REFIID _COM_Outptr_ void** ID3D12DeviceVtbl::ppvHeap

Definition at line 4924 of file mini_d3d12.h.

## ◆ DescriptorHeapType

ID3D12Device _In_ D3D12_DESCRIPTOR_HEAP_TYPE ID3D12DeviceVtbl::DescriptorHeapType

Definition at line 4929 of file mini_d3d12.h.

## ◆ blobLengthInBytes

ID3D12Device _In_ UINT _In_ SIZE_T ID3D12DeviceVtbl::blobLengthInBytes

Definition at line 4936 of file mini_d3d12.h.

## ◆ riid [7/14]

ID3D12Device _In_ UINT _In_ SIZE_T REFIID ID3D12DeviceVtbl::riid

Definition at line 4937 of file mini_d3d12.h.

## ◆ ppvRootSignature

ID3D12Device _In_ UINT _In_ SIZE_T REFIID _COM_Outptr_ void** ID3D12DeviceVtbl::ppvRootSignature

Definition at line 4938 of file mini_d3d12.h.

## ◆ pDesc [4/15]

_In_opt_ const D3D12_CONSTANT_BUFFER_VIEW_DESC* ID3D12DeviceVtbl::pDesc

Definition at line 4942 of file mini_d3d12.h.

## ◆ DestDescriptor [1/6]

_In_opt_ const D3D12_CONSTANT_BUFFER_VIEW_DESC _In_ D3D12_CPU_DESCRIPTOR_HANDLE ID3D12DeviceVtbl::DestDescriptor

Definition at line 4943 of file mini_d3d12.h.

## ◆ pResource

_In_opt_ ID3D12Resource * ID3D12DeviceVtbl::pResource

Definition at line 4947 of file mini_d3d12.h.

## ◆ pDesc [5/15]

_In_opt_ ID3D12Resource _In_opt_ const D3D12_SHADER_RESOURCE_VIEW_DESC* ID3D12DeviceVtbl::pDesc

Definition at line 4948 of file mini_d3d12.h.

## ◆ DestDescriptor [2/6]

_In_opt_ ID3D12Resource _In_opt_ const D3D12_SHADER_RESOURCE_VIEW_DESC _In_ D3D12_CPU_DESCRIPTOR_HANDLE ID3D12DeviceVtbl::DestDescriptor

Definition at line 4949 of file mini_d3d12.h.

## ◆ pCounterResource

_In_opt_ ID3D12Resource _In_opt_ ID3D12Resource* ID3D12DeviceVtbl::pCounterResource

Definition at line 4954 of file mini_d3d12.h.

## ◆ pDesc [6/15]

_In_opt_ ID3D12Resource _In_opt_ ID3D12Resource _In_opt_ const D3D12_UNORDERED_ACCESS_VIEW_DESC* ID3D12DeviceVtbl::pDesc

Definition at line 4955 of file mini_d3d12.h.

## ◆ DestDescriptor [3/6]

_In_opt_ ID3D12Resource _In_opt_ ID3D12Resource _In_opt_ const D3D12_UNORDERED_ACCESS_VIEW_DESC _In_ D3D12_CPU_DESCRIPTOR_HANDLE ID3D12DeviceVtbl::DestDescriptor

Definition at line 4956 of file mini_d3d12.h.

## ◆ pDesc [7/15]

_In_opt_ ID3D12Resource _In_opt_ const D3D12_RENDER_TARGET_VIEW_DESC* ID3D12DeviceVtbl::pDesc

Definition at line 4961 of file mini_d3d12.h.

## ◆ DestDescriptor [4/6]

_In_opt_ ID3D12Resource _In_opt_ const D3D12_RENDER_TARGET_VIEW_DESC _In_ D3D12_CPU_DESCRIPTOR_HANDLE ID3D12DeviceVtbl::DestDescriptor

Definition at line 4962 of file mini_d3d12.h.

## ◆ pDesc [8/15]

_In_opt_ ID3D12Resource _In_opt_ const D3D12_DEPTH_STENCIL_VIEW_DESC* ID3D12DeviceVtbl::pDesc

Definition at line 4967 of file mini_d3d12.h.

## ◆ DestDescriptor [5/6]

_In_opt_ ID3D12Resource _In_opt_ const D3D12_DEPTH_STENCIL_VIEW_DESC _In_ D3D12_CPU_DESCRIPTOR_HANDLE ID3D12DeviceVtbl::DestDescriptor

Definition at line 4968 of file mini_d3d12.h.

## ◆ pDesc [9/15]

_In_ const D3D12_SAMPLER_DESC* ID3D12DeviceVtbl::pDesc

Definition at line 4972 of file mini_d3d12.h.

## ◆ DestDescriptor [6/6]

_In_ const D3D12_SAMPLER_DESC _In_ D3D12_CPU_DESCRIPTOR_HANDLE ID3D12DeviceVtbl::DestDescriptor

Definition at line 4973 of file mini_d3d12.h.

## ◆ NumDestDescriptorRanges

_In_ UINT ID3D12DeviceVtbl::NumDestDescriptorRanges

Definition at line 4977 of file mini_d3d12.h.

## ◆ NumSrcDescriptorRanges

_In_ UINT _In_ UINT ID3D12DeviceVtbl::NumSrcDescriptorRanges

Definition at line 4980 of file mini_d3d12.h.

## ◆ DescriptorHeapsType [1/2]

_In_ UINT _In_ UINT _In_ D3D12_DESCRIPTOR_HEAP_TYPE ID3D12DeviceVtbl::DescriptorHeapsType

Definition at line 4983 of file mini_d3d12.h.

## ◆ NumDescriptors

_In_ UINT ID3D12DeviceVtbl::NumDescriptors

Definition at line 4987 of file mini_d3d12.h.

## ◆ DestDescriptorRangeStart

_In_ UINT _In_ D3D12_CPU_DESCRIPTOR_HANDLE ID3D12DeviceVtbl::DestDescriptorRangeStart

Definition at line 4988 of file mini_d3d12.h.

## ◆ SrcDescriptorRangeStart

_In_ UINT _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE ID3D12DeviceVtbl::SrcDescriptorRangeStart

Definition at line 4989 of file mini_d3d12.h.

## ◆ DescriptorHeapsType [2/2]

_In_ UINT _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_DESCRIPTOR_HEAP_TYPE ID3D12DeviceVtbl::DescriptorHeapsType

Definition at line 4990 of file mini_d3d12.h.

## ◆ visibleMask

ID3D12Device _In_ UINT ID3D12DeviceVtbl::visibleMask

Definition at line 4995 of file mini_d3d12.h.

## ◆ numResourceDescs

ID3D12Device _In_ UINT _In_ UINT ID3D12DeviceVtbl::numResourceDescs

Definition at line 4996 of file mini_d3d12.h.

## ◆ heapType

ID3D12Device _In_ UINT D3D12_HEAP_TYPE ID3D12DeviceVtbl::heapType

Definition at line 5003 of file mini_d3d12.h.

## ◆ pHeapProperties

ID3D12Device _In_ const D3D12_HEAP_PROPERTIES* ID3D12DeviceVtbl::pHeapProperties

Definition at line 5008 of file mini_d3d12.h.

## ◆ HeapFlags

ID3D12Device _In_ const D3D12_HEAP_PROPERTIES D3D12_HEAP_FLAGS ID3D12DeviceVtbl::HeapFlags

Definition at line 5009 of file mini_d3d12.h.

## ◆ pDesc [10/15]

ID3D12Device _In_ const D3D12_HEAP_PROPERTIES D3D12_HEAP_FLAGS _In_ const D3D12_RESOURCE_DESC* ID3D12DeviceVtbl::pDesc

Definition at line 5010 of file mini_d3d12.h.

## ◆ InitialResourceState

ID3D12Device _In_ const D3D12_HEAP_PROPERTIES D3D12_HEAP_FLAGS _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES ID3D12DeviceVtbl::InitialResourceState

Definition at line 5011 of file mini_d3d12.h.

## ◆ pOptimizedClearValue [1/3]

ID3D12Device _In_ const D3D12_HEAP_PROPERTIES D3D12_HEAP_FLAGS _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE* ID3D12DeviceVtbl::pOptimizedClearValue

Definition at line 5012 of file mini_d3d12.h.

## ◆ riidResource

ID3D12Device _In_ const D3D12_HEAP_PROPERTIES D3D12_HEAP_FLAGS _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE REFIID ID3D12DeviceVtbl::riidResource

Definition at line 5013 of file mini_d3d12.h.

## ◆ ppvResource [1/3]

ID3D12Device _In_ const D3D12_HEAP_PROPERTIES D3D12_HEAP_FLAGS _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE REFIID _COM_Outptr_opt_ void** ID3D12DeviceVtbl::ppvResource

Definition at line 5014 of file mini_d3d12.h.

## ◆ pDesc [11/15]

ID3D12Device _In_ const D3D12_HEAP_DESC* ID3D12DeviceVtbl::pDesc

Definition at line 5019 of file mini_d3d12.h.

## ◆ riid [8/14]

ID3D12Device _In_ const D3D12_HEAP_DESC REFIID ID3D12DeviceVtbl::riid

Definition at line 5020 of file mini_d3d12.h.

## ◆ ppvHeap [2/3]

ID3D12Device _In_ const D3D12_HEAP_DESC REFIID _COM_Outptr_opt_ void** ID3D12DeviceVtbl::ppvHeap

Definition at line 5021 of file mini_d3d12.h.

## ◆ pHeap

ID3D12Device _In_ ID3D12Heap* ID3D12DeviceVtbl::pHeap

Definition at line 5026 of file mini_d3d12.h.

## ◆ HeapOffset

ID3D12Device _In_ ID3D12Heap UINT64 ID3D12DeviceVtbl::HeapOffset

Definition at line 5027 of file mini_d3d12.h.

## ◆ pDesc [12/15]

ID3D12Device _In_ ID3D12Heap UINT64 _In_ const D3D12_RESOURCE_DESC* ID3D12DeviceVtbl::pDesc

Definition at line 5028 of file mini_d3d12.h.

## ◆ InitialState [1/2]

ID3D12Device _In_ ID3D12Heap UINT64 _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES ID3D12DeviceVtbl::InitialState

Definition at line 5029 of file mini_d3d12.h.

## ◆ pOptimizedClearValue [2/3]

ID3D12Device _In_ ID3D12Heap UINT64 _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE* ID3D12DeviceVtbl::pOptimizedClearValue

Definition at line 5030 of file mini_d3d12.h.

## ◆ riid [9/14]

ID3D12Device _In_ ID3D12Heap UINT64 _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE REFIID ID3D12DeviceVtbl::riid

Definition at line 5031 of file mini_d3d12.h.

## ◆ ppvResource [2/3]

ID3D12Device _In_ ID3D12Heap UINT64 _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE REFIID _COM_Outptr_opt_ void** ID3D12DeviceVtbl::ppvResource

Definition at line 5032 of file mini_d3d12.h.

## ◆ pDesc [13/15]

ID3D12Device _In_ const D3D12_RESOURCE_DESC* ID3D12DeviceVtbl::pDesc

Definition at line 5037 of file mini_d3d12.h.

## ◆ InitialState [2/2]

ID3D12Device _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES ID3D12DeviceVtbl::InitialState

Definition at line 5038 of file mini_d3d12.h.

## ◆ pOptimizedClearValue [3/3]

ID3D12Device _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE* ID3D12DeviceVtbl::pOptimizedClearValue

Definition at line 5039 of file mini_d3d12.h.

## ◆ riid [10/14]

ID3D12Device _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE REFIID ID3D12DeviceVtbl::riid

Definition at line 5040 of file mini_d3d12.h.

## ◆ ppvResource [3/3]

ID3D12Device _In_ const D3D12_RESOURCE_DESC D3D12_RESOURCE_STATES _In_opt_ const D3D12_CLEAR_VALUE REFIID _COM_Outptr_opt_ void** ID3D12DeviceVtbl::ppvResource

Definition at line 5041 of file mini_d3d12.h.

## ◆ pObject

ID3D12Device _In_ ID3D12DeviceChild* ID3D12DeviceVtbl::pObject

Definition at line 5046 of file mini_d3d12.h.

## ◆ pAttributes

ID3D12Device _In_ ID3D12DeviceChild _In_opt_ const SECURITY_ATTRIBUTES* ID3D12DeviceVtbl::pAttributes

Definition at line 5047 of file mini_d3d12.h.

## ◆ Access [1/2]

ID3D12Device _In_ ID3D12DeviceChild _In_opt_ const SECURITY_ATTRIBUTES DWORD ID3D12DeviceVtbl::Access

Definition at line 5048 of file mini_d3d12.h.

## ◆ Name [2/3]

ID3D12Device _In_ ID3D12DeviceChild _In_opt_ const SECURITY_ATTRIBUTES DWORD _In_opt_ LPCWSTR ID3D12DeviceVtbl::Name

Definition at line 5049 of file mini_d3d12.h.

## ◆ pHandle

ID3D12Device _In_ ID3D12DeviceChild _In_opt_ const SECURITY_ATTRIBUTES DWORD _In_opt_ LPCWSTR _Out_ HANDLE* ID3D12DeviceVtbl::pHandle

Definition at line 5050 of file mini_d3d12.h.

## ◆ NTHandle

ID3D12Device _In_ HANDLE ID3D12DeviceVtbl::NTHandle

Definition at line 5055 of file mini_d3d12.h.

## ◆ riid [11/14]

ID3D12Device _In_ HANDLE REFIID ID3D12DeviceVtbl::riid

Definition at line 5056 of file mini_d3d12.h.

## ◆ ppvObj

ID3D12Device _In_ HANDLE REFIID _COM_Outptr_opt_ void** ID3D12DeviceVtbl::ppvObj

Definition at line 5057 of file mini_d3d12.h.

## ◆ Name [3/3]

ID3D12Device _In_ LPCWSTR ID3D12DeviceVtbl::Name

Definition at line 5062 of file mini_d3d12.h.

## ◆ Access [2/2]

ID3D12Device _In_ LPCWSTR DWORD ID3D12DeviceVtbl::Access

Definition at line 5063 of file mini_d3d12.h.

## ◆ pNTHandle

ID3D12Device _In_ LPCWSTR DWORD _Out_ HANDLE* ID3D12DeviceVtbl::pNTHandle

Definition at line 5065 of file mini_d3d12.h.

## ◆ NumObjects

ID3D12Device UINT ID3D12DeviceVtbl::NumObjects

Definition at line 5070 of file mini_d3d12.h.

## ◆ InitialValue

ID3D12Device UINT64 ID3D12DeviceVtbl::InitialValue

Definition at line 5082 of file mini_d3d12.h.

## ◆ Flags

ID3D12Device UINT64 D3D12_FENCE_FLAGS ID3D12DeviceVtbl::Flags

Definition at line 5083 of file mini_d3d12.h.

## ◆ riid [12/14]

ID3D12Device UINT64 D3D12_FENCE_FLAGS REFIID ID3D12DeviceVtbl::riid

Definition at line 5084 of file mini_d3d12.h.

## ◆ ppFence

ID3D12Device UINT64 D3D12_FENCE_FLAGS REFIID _COM_Outptr_ void** ID3D12DeviceVtbl::ppFence

Definition at line 5085 of file mini_d3d12.h.

## ◆ pResourceDesc

_In_ const D3D12_RESOURCE_DESC* ID3D12DeviceVtbl::pResourceDesc

Definition at line 5093 of file mini_d3d12.h.

## ◆ BaseOffset

_In_ const D3D12_RESOURCE_DESC UINT64 ID3D12DeviceVtbl::BaseOffset

Definition at line 5096 of file mini_d3d12.h.

## ◆ pTotalBytes

_In_ const D3D12_RESOURCE_DESC UINT64 _Out_opt_ UINT64* ID3D12DeviceVtbl::pTotalBytes

Definition at line 5100 of file mini_d3d12.h.

## ◆ pDesc [14/15]

ID3D12Device _In_ const D3D12_QUERY_HEAP_DESC* ID3D12DeviceVtbl::pDesc

Definition at line 5105 of file mini_d3d12.h.

## ◆ riid [13/14]

ID3D12Device _In_ const D3D12_QUERY_HEAP_DESC REFIID ID3D12DeviceVtbl::riid

Definition at line 5106 of file mini_d3d12.h.

## ◆ ppvHeap [3/3]

ID3D12Device _In_ const D3D12_QUERY_HEAP_DESC REFIID _COM_Outptr_opt_ void** ID3D12DeviceVtbl::ppvHeap

Definition at line 5107 of file mini_d3d12.h.

## ◆ Enable

ID3D12Device BOOL ID3D12DeviceVtbl::Enable

Definition at line 5112 of file mini_d3d12.h.

## ◆ pDesc [15/15]

ID3D12Device _In_ const D3D12_COMMAND_SIGNATURE_DESC* ID3D12DeviceVtbl::pDesc

Definition at line 5117 of file mini_d3d12.h.

## ◆ pRootSignature

ID3D12Device _In_ const D3D12_COMMAND_SIGNATURE_DESC _In_opt_ ID3D12RootSignature* ID3D12DeviceVtbl::pRootSignature

Definition at line 5118 of file mini_d3d12.h.

## ◆ riid [14/14]

ID3D12Device _In_ const D3D12_COMMAND_SIGNATURE_DESC _In_opt_ ID3D12RootSignature REFIID ID3D12DeviceVtbl::riid

Definition at line 5119 of file mini_d3d12.h.

## ◆ ppvCommandSignature

ID3D12Device _In_ const D3D12_COMMAND_SIGNATURE_DESC _In_opt_ ID3D12RootSignature REFIID _COM_Outptr_opt_ void** ID3D12DeviceVtbl::ppvCommandSignature

Definition at line 5120 of file mini_d3d12.h.

## ◆ pTiledResource

_In_ ID3D12Resource* ID3D12DeviceVtbl::pTiledResource

Definition at line 5124 of file mini_d3d12.h.

## ◆ pNumTilesForEntireResource

_In_ ID3D12Resource _Out_opt_ UINT* ID3D12DeviceVtbl::pNumTilesForEntireResource

Definition at line 5125 of file mini_d3d12.h.

## ◆ pPackedMipDesc

_In_ ID3D12Resource _Out_opt_ UINT _Out_opt_ D3D12_PACKED_MIP_INFO* ID3D12DeviceVtbl::pPackedMipDesc

Definition at line 5126 of file mini_d3d12.h.

## ◆ pStandardTileShapeForNonPackedMips

_In_ ID3D12Resource _Out_opt_ UINT _Out_opt_ D3D12_PACKED_MIP_INFO _Out_opt_ D3D12_TILE_SHAPE* ID3D12DeviceVtbl::pStandardTileShapeForNonPackedMips

Definition at line 5127 of file mini_d3d12.h.

## ◆ pNumSubresourceTilings

_In_ ID3D12Resource _Out_opt_ UINT _Out_opt_ D3D12_PACKED_MIP_INFO _Out_opt_ D3D12_TILE_SHAPE _Inout_opt_ UINT* ID3D12DeviceVtbl::pNumSubresourceTilings

Definition at line 5128 of file mini_d3d12.h.

## ◆ FirstSubresourceTilingToGet

_In_ ID3D12Resource _Out_opt_ UINT _Out_opt_ D3D12_PACKED_MIP_INFO _Out_opt_ D3D12_TILE_SHAPE _Inout_opt_ UINT _In_ UINT ID3D12DeviceVtbl::FirstSubresourceTilingToGet

Definition at line 5129 of file mini_d3d12.h.

## ◆ pSubresourceTilingsForNonPackedMips

_In_ ID3D12Resource _Out_opt_ UINT _Out_opt_ D3D12_PACKED_MIP_INFO _Out_opt_ D3D12_TILE_SHAPE _Inout_opt_ UINT _In_ UINT _Out_writes_ pNumSubresourceTilings D3D12_SUBRESOURCE_TILING* ID3D12DeviceVtbl::pSubresourceTilingsForNonPackedMips

Definition at line 5130 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h